Subject: Re: marvell switch

From: Andrew Lunn <[email-masked]>
Date: Thu, 5 Apr 2018 14:22:23 +0200

On Thu, Apr 05, 2018 at 05:47:24AM +0300, Ran Shalit wrote:
> Hello,
> 
> I am trying to use marvell switch in linux,
> Is it that the kernel drivers from marvell switch are used just to
> enable all ports, or do they also provide APIs to userspace to enable
> specific ports only.
> I have not find examples or wiki for marvell switch, so I am not too
> sure as what are the drivers meant for.

Hi Ran

The Marvell driver makes each port act like a normal Linux network
interface. So if you want to enable a port, do

ip link set lan0 up

Want to add an ip address to a port

ip addr add 10.42.42.42/24 dev lan0

Want to bridge two ports

ip link add name br0 type bridge
ip link set dev br0 up
ip link set dev lan0 master br0
ip link set dev lan1 master br0

Just treat them as normal interfaces.

     Andrew